loci.formats.in

## Class SlideBook7Reader.CExposureRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CExposureRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CExposureRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mAuxCaptureFlags`
    `java.lang.Float` | `mAuxZStartPosition`
    `java.lang.Boolean` | `mBinning`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mCaptureFlags`
    `java.lang.Integer` | `mCaptureSetId`
    `java.lang.Integer` | `mCaptureType`
    `java.lang.Integer` | `mExposureTime`
    `java.lang.Float` | `mInitialOffset`
    `java.lang.Float` | `mInterplaneSpacing`
    `java.lang.Integer` | `mMoveFieldDownSign`
    `java.lang.Integer` | `mMoveFieldRightSign`
    `java.lang.Integer` | `mNumPlanes`
    `java.lang.Integer` | `mNuTSACSampleSize`
    `java.lang.Boolean` | `mScanning`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Boolean` | `mTimeLapse`
    `java.lang.Integer` | `mTimeLapseInterval`
    `java.lang.Integer` | `mXExtent`
    `java.lang.Integer` | `mXFactor`
    `java.lang.Integer` | `mXOffset`
    `java.lang.Float` | `mXStartPosition`
    `java.lang.Integer` | `mYExtent`
    `java.lang.Integer` | `mYFactor`
    `java.lang.Integer` | `mYOffset`
    `java.lang.Float` | `mYStartPosition`
    `java.lang.Float` | `mZStartPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CExposureRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mAuxZStartPosition

          public java.lang.Float mAuxZStartPosition

    - #### mExposureTime

          public java.lang.Integer mExposureTime

    - #### mXOffset

          public java.lang.Integer mXOffset

    - #### mYOffset

          public java.lang.Integer mYOffset

    - #### mXExtent

          public java.lang.Integer mXExtent

    - #### mYExtent

          public java.lang.Integer mYExtent

    - #### mBinning

          public java.lang.Boolean mBinning

    - #### mTimeLapse

          public java.lang.Boolean mTimeLapse

    - #### mCaptureType

          public java.lang.Integer mCaptureType

    - #### mXFactor

          public java.lang.Integer mXFactor

    - #### mYFactor

          public java.lang.Integer mYFactor

    - #### mNumPlanes

          public java.lang.Integer mNumPlanes

    - #### mNuTSACSampleSize

          public java.lang.Integer mNuTSACSampleSize

    - #### mScanning

          public java.lang.Boolean mScanning

    - #### mInterplaneSpacing

          public java.lang.Float mInterplaneSpacing

    - #### mInitialOffset

          public java.lang.Float mInitialOffset

    - #### mTimeLapseInterval

          public java.lang.Integer mTimeLapseInterval

    - #### mCaptureSetId

          public java.lang.Integer mCaptureSetId

    - #### mXStartPosition

          public java.lang.Float mXStartPosition

    - #### mYStartPosition

          public java.lang.Float mYStartPosition

    - #### mZStartPosition

          public java.lang.Float mZStartPosition

    - #### mCaptureFlags

          public java.lang.Integer mCaptureFlags

    - #### mAuxCaptureFlags

          public java.lang.Integer mAuxCaptureFlags

    - #### mMoveFieldRightSign

          public java.lang.Integer mMoveFieldRightSign

    - #### mMoveFieldDownSign

          public java.lang.Integer mMoveFieldDownSign

  - ### Constructor Detail

    - #### CExposureRecord70

          CExposureRecord70()

Copyright © 2026 Open Microscopy Environment